DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-06-19-ConnectionMechanism';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4030) THEN
			RETURN;
		END IF;



		BEGIN
			ALTER TABLE public."EmailServers" ADD "SmtpLoginType" int DEFAULT 0;
			ALTER TABLE public."EmailServers" ADD "ImapLoginType" int DEFAULT 0; 
			UPDATE public."EmailServers"  SET "SmtpLoginType"=0;
			UPDATE public."EmailServers"  SET "ImapLoginType"=0;

			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
  		EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE 'Create table patch-2024-06-19-ConnectionMechanism error.';
		END;
	END;
$$

